Bug 511998 - Review Request: zikula-module-menutree - Menutree allows to create multilevel, hierarchical (tree-like) menu.
Review Request: zikula-module-menutree - Menutree allows to create multilevel...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
: Reopened
: 505946 (view as bug list)
Depends On: 516667
Blocks: 506045 521103
  Show dependency treegraph
 
Reported: 2009-07-15 17:49 EDT by eric@christensenplace.us
Modified: 2010-05-06 14:14 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-06 14:14:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
david: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2009-07-15 17:49:50 EDT
SPEC:
http://sparks.fedorapeople.org/Packages/zikula-module-menutree/zikula-module-menutree.spec

SRPM:
http://sparks.fedorapeople.org/Packages/zikula-module-menutree/zikula-module-menutree-2.0.1-2.fc11.src.rpm  

Description: Menutree allows to create multilevel, hierarchical (tree-like)
menu.
Comment 1 David Nalley 2009-07-16 00:02:17 EDT
OK - some licensing blockers before I dig too deeply into this: 

pasting snippets from pndocs/credits.txt:


>Used icon-set is based on "Silk icons" from http://www.famfamfam.com/
>licensed under a Creative Commons Attribution 2.5 License
>(http://creativecommons.org/licenses/by/2.5/)

CC is non-GPL compatible. 



>cookie.js
>from http://wiki.script.aculo.us/scriptaculous/show/Cookie
>(link is dead, who knows the author? :) )

This file has no license information included in it, the author is unknown, and honestly this should probably be purged from upstream. 
I did find a copy of this linked from the Axent.DragDropTree page on wiki.script.aculo.us site: 
http://weblog.axent.pl/examples/js.drag-drop-tree/cookie.js




>Pawel Gasiorowski <p.gasiorowski@axent.pl>
>for his Axent.DragDropTree - not included, but used as base to rewrite my own >js tree code

This made me uncomfortable initially. However a quick google yielded this: 
/**
 * @author Pawel Gasiorowski <p.gasiorowski@axent.pl>
 * @package Axent.DragDropTree
 * @license MIT
 * @url http://weblog.axent.pl/examples/js.drag-drop-tree/
 * @version 1.3
 */
Comment 2 David Nalley 2009-07-16 00:14:55 EDT
I went ahead and notified upstream here:
http://groups.google.com/group/zikula-discussions/t/941c288733b7ea19
Comment 3 Mamoru TASAKA 2009-07-16 02:04:53 EDT
*** Bug 505946 has been marked as a duplicate of this bug. ***
Comment 4 John (J5) Palmieri 2009-08-03 17:11:04 EDT
The tango icon theme is public domain
Comment 5 eric@christensenplace.us 2009-10-30 14:18:35 EDT
(In reply to comment #2)
> I went ahead and notified upstream here:
> http://groups.google.com/group/zikula-discussions/t/941c288733b7ea19  

Any update that you know of?
Comment 6 David Nalley 2009-11-15 14:25:22 EST
Eric: 

Received this message from Jusuff yesterday evening:

Maybe you'll be interested - menutree without  licensing issues is ready :)
You can find it at extDB on community.zikula.org or at my CoZi project svn (http://code.zikula.org/bianor).
There are two versions:
2.1 is for zikula 1.1.x series
2.2 is for zikula 1.2
In extDB there are also versions with "BT" sufix - but this releases contains templates which are licensed under not opensource licenses.


I have not looked at source to verify that all of the licensing issues are indeed resolved.
Comment 7 eric@christensenplace.us 2009-12-06 12:59:39 EST
SPEC:
http://sparks.fedorapeople.org/Packages/zikula-module-menutree/zikula-module-menutree.spec

SRPM:
http://sparks.fedorapeople.org/Packages/zikula-module-menutree/zikula-module-menutree-2.2-1.fc12.src.rpm

Description: Menutree allows to create multilevel, hierarchical (tree-like)
menu.
Comment 8 David Nalley 2009-12-06 22:39:20 EST
OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ./zikula-module-menutree.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/zikula-module-menutree-2.2-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../RPMS/noarch/zikula-module-menutree-2.2-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
GPL is in header of all source files aside from cookie.js which is ASL 2.0
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[ke4qqq@nalleyx60 SOURCES]$ md5sum ./tags_menutree_2.2-r192.zip*
72f19c4d95d935e29e54a8ecb1f8e795  ./tags_menutree_2.2-r192.zip
72f19c4d95d935e29e54a8ecb1f8e795  ./tags_menutree_2.2-r192.zip.1

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
FIX: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

This version only works with zikula 1.2 and greater, yet the Requires zikula would permit installation on 1.1

Also you call dos2unix but don't list it as a BuildRequires

NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 



Eric: I noted above the Requires/BuildRequires problems. I assume you can fix that before it hits CVS. 

Thanks for the work, sorry it took me so long to get it done today. 

APPROVED
Comment 9 eric@christensenplace.us 2009-12-06 23:10:10 EST
New Package CVS Request
=======================
Package Name: zikula-module-menutree
Short Description: Menutree allows to create multilevel, hierarchical (tree-like)
menu for Zikula.
Owners: sparks ke4qqq
Branches: F-11 F-12 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2009-12-07 00:17:02 EST
cvs done.
Comment 11 Fedora Update System 2009-12-07 08:46:45 EST
zikula-module-menutree-2.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zikula-module-menutree-2.2-1.fc12
Comment 12 Fedora Update System 2009-12-07 08:55:28 EST
zikula-module-menutree-2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zikula-module-menutree-2.2-1.el5
Comment 13 Fedora Update System 2009-12-08 02:46:47 EST
zikula-module-menutree-2.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Michael Schwendt 2009-12-08 09:10:08 EST
> This version only works with zikula 1.2 and greater, yet the Requires
> zikula would permit installation on 1.1

It "Requires: zikula >= 1.2" and that is an unresolvable dependency, because latest in Fedora is 1.1.2 only.
Comment 15 eric@christensenplace.us 2009-12-08 09:23:00 EST
(In reply to comment #14)
> > This version only works with zikula 1.2 and greater, yet the Requires
> > zikula would permit installation on 1.1
> 
> It "Requires: zikula >= 1.2" and that is an unresolvable dependency, because
> latest in Fedora is 1.1.2 only.  

Yeah, this is known.  Zikula 1.2 is in process now.
Comment 16 Alex Lancaster 2010-03-07 02:36:06 EST
(In reply to comment #15)
> (In reply to comment #14)
> > > This version only works with zikula 1.2 and greater, yet the Requires
> > > zikula would permit installation on 1.1
> > 
> > It "Requires: zikula >= 1.2" and that is an unresolvable dependency, because
> > latest in Fedora is 1.1.2 only.  
> 
> Yeah, this is known.  Zikula 1.2 is in process now.    

There are still some dep problems with this package in F-13, possibly related to this:

see: http://koji.fedoraproject.org/mash/branched-20100306/logs/depcheck


Broken deps for i386
----------------------------------------------------------
	zikula-module-menutree-2.2-1.fc13.noarch requires zikula >= 0:1.2

Please fix this ASAP as it causing broken deps in an upcoming release
Comment 17 Alex Lancaster 2010-03-07 02:38:06 EST
And according to:

https://admin.fedoraproject.org/community/?package=zikula#package_maintenance

zikula is still at 1.1.2 and has not yet been updated to 1.2, so clearly comment #15 has not yet been acted on for 3 months.  Please fix this ASAP.
Comment 18 Alex Lancaster 2010-04-17 16:05:35 EDT
Eric, can you please fix this is issue and/or report status ASAP?  It is not good to push a package into development without making sure it's deps are met.  Thanks.
Comment 19 eric@christensenplace.us 2010-04-17 16:28:51 EDT
Ticket has been filed with Infra (2102).
Comment 20 Alex Lancaster 2010-04-17 16:42:38 EDT
(In reply to comment #19)
> Ticket has been filed with Infra (2102).    

Not sure in what sense this is fixed?  Did you request blocking. The automatic link is 404 so I can't verify it's status, perhaps Fedora Hosted isn't the right project:

https://fedorahosted.org/cobbler/ticket/2102

please provide the full URL here in the comment.  Thanks.
Comment 22 Alex Lancaster 2010-04-17 16:52:39 EDT
(In reply to comment #21)
> https://fedorahosted.org/fedora-infrastructure/ticket/2102    

Hmm, this probably should have been filed on rel-eng, don't they handle these kinds of tag blocking requests?
Comment 23 Michael Schwendt 2010-04-18 02:14:09 EDT
Well, I just posted the link to the ticket. ;) rel-eng would be the right team to contact about koji tagging.
Comment 24 Alex Lancaster 2010-04-18 03:06:17 EDT
(In reply to comment #23)
> Well, I just posted the link to the ticket. ;) rel-eng would be the right team
> to contact about koji tagging.    

Sure, my comment was directed at Eric.

Note You need to log in before you can comment on or make changes to this bug.